summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDarren Ng2020-05-13 13:27:44 +0800
committerDarren Ng2020-05-13 13:27:44 +0800
commit05db4dd843ed1ea4b80099ccd3b15bc40df6cfaa (patch)
treee3b1db4ff6d736dd52ddc04b4a5fa115564ef310
downloadaur-05db4dd843ed1ea4b80099ccd3b15bc40df6cfaa.tar.gz
pmdk-1.8
-rw-r--r--.SRCINFO21
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD77
3 files changed, 102 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e059f4903af
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = pmdk
+ pkgdesc = Persistent Memory Development Kit
+ pkgver = 1.8
+ pkgrel = 1
+ url = https://pmem.io/
+ arch = x86_64
+ license = BSD
+ makedepends = pandoc
+ depends = ndctl>=63
+ optdepends = libfabric>=1.4.2: required by librpmem
+ provides = libpmem
+ provides = libpmemobj
+ provides = libpmemblk
+ provides = libpmemlog
+ provides = libpmempool
+ provides = librpmem
+ source = pmdk-1.8.tar.gz::https://github.com/pmem/pmdk/archive/1.8.tar.gz
+ sha1sums = ec8941117077bd5b9e766585e5223734dbd0329e
+
+pkgname = pmdk
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..b39f3b2a183
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*
+!PKGBUILD
+!.gitignore
+!.SRCINFO
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f5d83c35a4a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,77 @@
+# Maintainer: Darren Ng <$(base64 --decode <<<'ZGFycmVuMTk5NzA4MTBAZ21haWwuY29tCg==')>
+_org=pmem
+pkgname=pmdk
+pkgver=1.8
+pkgrel=1
+pkgdesc="Persistent Memory Development Kit"
+arch=('x86_64')
+url="https://pmem.io/"
+license=('BSD')
+depends=(
+ 'ndctl>=63' # 'daxctl' included
+)
+makedepends=(
+ 'pandoc'
+)
+# checkdepends=()
+optdepends=(
+ 'libfabric>=1.4.2: required by librpmem'
+)
+provides=(
+ 'libpmem'
+ 'libpmemobj'
+ 'libpmemblk'
+ 'libpmemlog'
+ 'libpmempool'
+ 'librpmem'
+)
+backup=()
+options=()
+source=("$pkgname-$pkgver.tar.gz::https://github.com/$_org/$pkgname/archive/$pkgver.tar.gz")
+sha1sums=('ec8941117077bd5b9e766585e5223734dbd0329e')
+
+prepare() {
+ # return 1
+ cd "$pkgname-$pkgver"
+}
+
+build() {
+ cd "$pkgname-$pkgver"
+ make -j$(nproc)
+}
+
+check() {
+
+ return 0
+
+ cd "$pkgname-$pkgver/src/test" || return 1
+ # make -k test
+ make test
+ cp -v testconfig.sh.example testconfig.sh
+ ./RUNTESTS
+
+}
+
+package() {
+
+ cd "$pkgname-$pkgver"
+ make prefix="/usr" DESTDIR="$pkgdir/" install
+
+ # Fix 01
+ mv -v "$pkgdir/usr/lib64" "$pkgdir/usr/lib"
+
+ # Fix 02
+ # pacman -Qo /usr/share/bash-completion/completions/* | grep -v "owned by bash-completion"
+ install -Dvm644 "$pkgdir/usr/etc/bash_completion.d/pmempool" "$pkgdir/usr/share/bash-completion/completions/pmempool"
+ rm -rv "$pkgdir/usr/etc"
+
+ # Fix 03
+ # pmdk E: Insecure RPATH '/usr/local/lib' in file ('usr/lib/libpmem<*>.so.1.0.0')
+ # pmdk E: Insecure RPATH '/usr/local/lib/pmdk_debug' in file ('usr/lib/pmdk_debug/libpmem<*>.so.1.0.0')
+ # pmdk W: Referenced library '<*>.so.1' is an uninstalled dependency
+ # patchelf
+ # chrpath
+
+ install -Dvm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+}